'use strict';

// releases
const twentyonesextury = require('./21sextury');
const bangbros = require('./bangbros');
const blowpass = require('./blowpass');
const dogfart = require('./dogfart');
const evilangel = require('./evilangel');
const kink = require('./kink');
const mikeadriano = require('./mikeadriano');
const mofos = require('./mofos');
const pervcity = require('./pervcity');
const privateNetwork = require('./private'); // reserved keyword
const naughtyamerica = require('./naughtyamerica');
const realitykings = require('./realitykings');
const vixen = require('./vixen');

// releases and profiles
const ddfnetwork = require('./ddfnetwork');
const brazzers = require('./brazzers');
const julesjordan = require('./julesjordan');
const kellymadison = require('./kellymadison');
const legalporno = require('./legalporno');
const xempire = require('./xempire');

// profiles
const freeones = require('./freeones');
const freeonesLegacy = require('./freeones_legacy');
const pornhub = require('./pornhub');

module.exports = {
    releases: {
        '21sextury': twentyonesextury,
        bangbros,
        blowpass,
        brazzers,
        ddfnetwork,
        dogfart,
        dogfartnetwork: dogfart,
        evilangel,
        julesjordan,
        kellymadison,
        kink,
        legalporno,
        mikeadriano,
        mofos,
        pervcity,
        private: privateNetwork,
        naughtyamerica,
        realitykings,
        vixen,
        xempire,
    },
    actors: {
        // ordered by data priority
        xempire,
        julesjordan,
        brazzers,
        legalporno,
        pornhub,
        freeones,
        freeonesLegacy,
        kellymadison,
        ddfnetwork,
    },
};
